# Choose jurisdictions and fill in the details the documents need

`PUT /compliance/legal/settings` · Rivier · compliance

Choose jurisdictions and fill in the details the documents need. Never publishes anything.

- Scope: compliance:write
- Mcp: rivier_legal_set_details
- Graphql: Mutation.complianceLegalSettingsUpdate
- Sdk: compliance.legalSettings.update
- Cli: compliance legal settings update

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "jurisdictions": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "eu",
          "gb",
          "us",
          "us-ca",
          "ca",
          "qc",
          "br",
          "au"
        ]
      },
      "maxItems": 12
    },
    "mode": {
      "type": "string",
      "enum": [
        "combined",
        "separate"
      ]
    },
    "locales": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "en",
          "fr",
          "de",
          "es"
        ]
      },
      "minItems": 1,
      "maxItems": 4
    },
    "answers": {
      "type": "object",
      "properties": {
        "entity": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "address": {
              "type": "string",
              "minLength": 1,
              "maxLength": 400
            },
            "email": {
              "type": "string",
              "format": "email",
              "maxLength": 200
            },
            "phone": {
              "type": "string",
              "minLength": 1,
              "maxLength": 60
            },
            "registration": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "privacyContactName": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "brand": {
              "type": "string",
              "minLength": 1,
              "maxLength": 80
            },
            "euRepresentative": {
              "type": "string",
              "minLength": 1,
              "maxLength": 400
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "dpo": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "email": {
              "type": "string",
              "format": "email",
              "maxLength": 200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "site": {
          "type": "object",
          "properties": {
            "url": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "minAge": {
          "type": "integer",
          "minimum": 5,
          "maximum": 21,
          "default": 16
        },
        "payment": {
          "type": "object",
          "properties": {
            "label": {
              "type": "string",
              "minLength": 1,
              "maxLength": 120,
              "default": "third-party payment provider"
            }
          },
          "additionalProperties": false,
          "default": {
            "label": "third-party payment provider"
          }
        },
        "retention": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "category": {
                "type": "string",
                "minLength": 1,
                "maxLength": 120
              },
              "period": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              }
            },
            "required": [
              "category",
              "period"
            ],
            "additionalProperties": false
          },
          "maxItems": 40,
          "default": []
        },
        "processors": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "category": {
                "type": "string",
                "minLength": 1,
                "maxLength": 120
              },
              "purpose": {
                "type": "string",
                "minLength": 1,
                "maxLength": 300
              },
              "name": {
                "type": "string",
                "minLength": 1,
                "maxLength": 120
              },
              "named": {
                "type": "boolean",
                "default": false
              },
              "country": {
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              },
              "safeguard": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              }
            },
            "required": [
              "category",
              "purpose"
            ],
            "additionalProperties": false
          },
          "maxItems": 60,
          "default": []
        },
        "cookies": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "minLength": 1,
                "maxLength": 120
              },
              "category": {
                "type": "string",
                "enum": [
                  "necessary",
                  "preferences",
                  "analytics",
                  "marketing"
                ]
              },
              "purpose": {
                "type": "string",
                "minLength": 1,
                "maxLength": 300
              },
              "duration": {
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              },
              "provider": {
                "type": "string",
                "minLength": 1,
                "maxLength": 120
              }
            },
            "required": [
              "name",
              "category",
              "purpose",
              "duration"
            ],
            "additionalProperties": false
          },
          "maxItems": 200,
          "default": []
        },
        "returns": {
          "type": "object",
          "properties": {
            "days": {
              "type": "integer",
              "minimum": 0,
              "maximum": 365
            },
            "costs": {
              "type": "string",
              "minLength": 1,
              "maxLength": 500
            },
            "refundDays": {
              "type": "integer",
              "minimum": 0,
              "maximum": 120
            },
            "bookingTerms": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1500
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "shipping": {
          "type": "object",
          "properties": {
            "regions": {
              "type": "string",
              "minLength": 1,
              "maxLength": 500
            },
            "times": {
              "type": "string",
              "minLength": 1,
              "maxLength": 500
            },
            "costs": {
              "type": "string",
              "minLength": 1,
              "maxLength": 500
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "terms": {
          "type": "object",
          "properties": {
            "governingLaw": {
              "type": "string",
              "minLength": 1,
              "maxLength": 120
            },
            "courts": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "service": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 80
            },
            "hosting": {
              "type": "string",
              "minLength": 1,
              "maxLength": 800
            },
            "trialDays": {
              "type": "integer",
              "minimum": 0,
              "maximum": 365
            },
            "readOnlyDays": {
              "type": "integer",
              "minimum": 0,
              "maximum": 3650
            },
            "refundPolicy": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1200
            },
            "billingEmail": {
              "type": "string",
              "format": "email",
              "maxLength": 200
            },
            "trialTerms": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "security": {
          "type": "object",
          "properties": {
            "reportEmail": {
              "type": "string",
              "format": "email",
              "maxLength": 200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "dpa": {
          "type": "object",
          "properties": {
            "noticeDays": {
              "type": "integer",
              "minimum": 1,
              "maximum": 180
            },
            "transfers": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1500
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "providers": {
          "type": "object",
          "properties": {
            "namingNote": {
              "type": "string",
              "minLength": 1,
              "maxLength": 800
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "accessibility": {
          "type": "object",
          "properties": {
            "standard": {
              "type": "string",
              "minLength": 1,
              "maxLength": 80
            },
            "status": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1500
            },
            "known": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1500
            },
            "email": {
              "type": "string",
              "format": "email",
              "maxLength": 200
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "ai": {
          "type": "object",
          "properties": {
            "training": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1200
            }
          },
          "additionalProperties": false,
          "default": {}
        }
      },
      "additionalProperties": false
    },
    "features": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "cookie_consent",
          "analytics",
          "email_campaigns",
          "payments",
          "shop",
          "bookings",
          "ai_assistant",
          "user_accounts",
          "uploads",
          "contact_forms",
          "sms",
          "advertising_cookies",
          "cookieless_analytics",
          "cookie_list"
        ]
      }
    },
    "featuresOff": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "cookie_consent",
          "analytics",
          "email_campaigns",
          "payments",
          "shop",
          "bookings",
          "ai_assistant",
          "user_accounts",
          "uploads",
          "contact_forms",
          "sms",
          "advertising_cookies",
          "cookieless_analytics",
          "cookie_list"
        ]
      }
    },
    "business": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "ecommerce",
          "hotel",
          "bookings",
          "newsletter",
          "accounts",
          "services",
          "saas"
        ]
      }
    },
    "sensitive": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 40
      },
      "maxItems": 20
    },
    "minors": {
      "type": "boolean"
    },
    "siteBase": {
      "type": "string",
      "format": "uri",
      "maxLength": 200
    },
    "cookieSource": {
      "type": "string",
      "enum": [
        "widget",
        "declared"
      ]
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/compliance/legal/settings' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "jurisdictions": [
    "eu"
  ],
  "mode": "combined",
  "locales": [
    "en"
  ],
  "answers": {
    "entity": {},
    "dpo": {},
    "site": {},
    "minAge": 16,
    "payment": {
      "label": "third-party payment provider"
    },
    "retention": [],
    "processors": [],
    "cookies": []
  },
  "features": [
    "cookie_consent"
  ],
  "featuresOff": [
    "cookie_consent"
  ],
  "business": [
    "ecommerce"
  ],
  "sensitive": [
    "string"
  ]
}'
```
